Unit NtTryObjectName;

Interface

Uses Classes, Windows;

Type
      TNtTryObjectThread = Class (TThread)
                           Private
                            FHandle : THandle;
                            FFileType : Cardinal;
                           Protected
                            Procedure Execute; Override;
                           Public
                            Constructor Create(AHandle:THandle); Reintroduce;
                            Property FileType : Cardinal Read FFileType;
                           end;

Implementation

Procedure TNtTryObjectThread.Execute;
begin
FreeOnTerminate:=False;
FFileType:=GetFileType(FHandle);
end;

Constructor TNtTryObjectThread.Create(AHandle:THandle);
begin
Inherited Create(True);
FHandle:=AHandle;
Resume;
end;

End.
