Unit ArImport;

Interface

Uses Classes;

Type
    TPole = Array Of Cardinal;

Function GetNumberOfProcessesByPSAPI:Cardinal; StdCall;
Function GetNumberOfProcessesByToolHelpAPI:Cardinal; StdCall;
Function GetNumberOfProcessesByOpenHandles:Cardinal; StdCall;
Procedure UserModeCheckHiddenProcesses(AStringList:TStrings); StdCall;
Function  GetHiddenProcesses:TPole; StdCall;

Implementation

Uses Windows, PProcImport;

Type
  TGetNumberOfProcessesByPSAPI       = Function :Cardinal; StdCall;
  TGetNumberOfProcessesByToolHelpAPI = Function :Cardinal; StdCall;
  TGetNumberOfProcessesByOpenHandles = Function :Cardinal; StdCall;
  TUserModeCheckHiddenProcesses      = Procedure (AStringList:TStrings); StdCall;
  TGetHiddenProcesses                = Function :TPole; StdCall;


Var _GetNumberOfProcessesByPSAPI       : TGetNumberOfProcessesByPSAPI;
    _GetNumberOfProcessesByToolhelpAPI : TGetNumberOfProcessesByToolHelpAPI;
    _GetNumberOfProcessesByOpenHandles : TGetNumberOfProcessesByOpenHandles;
    _UserModeCheckHiddenProcesses      : TUserModeCheckHiddenProcesses;
    _GetHiddenProcesses                : TGetHiddenProcesses;

Function  GetHiddenProcesses:TPole; StdCall;
begin
Result:=_GetHiddenProcesses;
end;

Function GetNumberOfProcessesByPSAPI:Cardinal; StdCall;
begin
Result:=_GetNumberOfProcessesByPSAPI;
end;

Function GetNumberOfProcessesByToolHelpAPI:Cardinal; StdCall;
begin
Result:=_GetNumberOfProcessesByToolHelpAPI;
end;

Function GetNumberOfProcessesByOpenHandles:Cardinal; StdCall;
begin
Result:=_GetNumberOfProcessesByOpenHandles;
end;

Procedure UserModeCheckHiddenProcesses(AStringList:TStrings); StdCall;
begin
_UserModeCheckHiddenProcesses(AStringList);
end;

Var hMod : THandle;
Initialization
hMod:=LoadLibrary('Ar.dll');
If hMod > 0 Then
   begin
   _GetNumberOfProcessesByPSAPI:=GetProcAddress(hMod,'GetNumberOfProcessesByPSAPI');
   _GetNumberOfProcessesByToolHelpAPI:=GetProcAddress(hMod,'GetNumberOfProcessesByToolHelpAPI');
   _GetNumberOfProcessesByOpenHandles:=GetProcAddress(hMod,'GetNumberOfProcessesByOpenHandles');
   _UserModeCheckHiddenProcesses:=GetProcAddress(hMod,'UserModeCheckHiddenProcesses');
   _GetHiddenProcesses:=GetProcAddress(hMod,'GetHiddenProcesses');
   end
Else MessageBox(0,'Soubor Ar.dll nenalezen!','',MB_OK Or MB_ICONERROR);
End.
