Unit DriversImport;

Interface

Function InstallDriver(FileName:String; DriverName:String):Cardinal; StdCall;
Function UnInstallDriver(DriverName:String):Cardinal; StdCall;
Function LoadDriver(DriverName:String):Cardinal; StdCall;
Function UnLoadDriver(DriverName:String):Cardinal; StdCall;

Implementation

Uses Windows;

Type
    TInstallDriver = Function    (FileName:String; DriverName:String):Cardinal; StdCall;
    TUnInstallDriver = Function (DriverName:String):Cardinal; StdCall;
    TLoadDriver = Function      (DriverName:String):Cardinal; StdCall;
    TUnLoadDriver = Function     (DriverName:String):Cardinal; StdCall;

Var _InstallDriver   : TInstallDriver;
    _UnInstallDriver : TUnInstallDriver;
    _LoadDriver      : TLoadDriver;
    _UnLoadDriver    : TUnLoadDriver;


Function InstallDriver(FileName:String; DriverName:String):Cardinal; StdCall;
begin
Result:=_InstallDriver(FileName,DriverName);
end;

Function UnInstallDriver(DriverName:String):Cardinal; StdCall;
begin
Result:=_UnInstallDriver(DriverName);
end;

Function LoadDriver(DriverName:String):Cardinal; StdCall;
begin
Result:=_LoadDriver(Drivername);
end;

Function UnLoadDriver(DriverName:String):Cardinal; StdCall;
begin
Result:=_UnLoadDriver(DriverName);
end;

Var hMod : Cardinal;
Initialization
hMod:=LoadLibrary('Drivers.dll');
If hMod > 0 Then
   begin
   _InstallDriver:=GetProcAddress(hMod,'InstallDriver');
   _UnInstallDriver:=GetProcAddress(hMod,'UnInstallDriver');
   _LoadDriver:=GetProcAddress(hMod,'LoadDriver');
   _UnLoadDriver:=GetProcAddress(hMod,'UnLoadDriver');
   end
Else MessageBox(0,'Soubor Drivers.dll nebyl nalezen. Program nebude schopen provdt anti-rootkit detekci','',MB_OK Or MB_ICONERROR);
End.
