Unit ssdtImport;

Interface

Uses Windows;

Type
  TSSDTRoutine = Function (DescriptorBase, DispatchBase, FunctionCount, AktFunc, AktFuncAddr : Cardinal; Name:String):Boolean; StdCall;

Function  GetSSDT(SSDTFunction:TSSDTRoutine):Boolean; StdCall;
Function  GetKernelMemory(Base:Cardinal; Var Size:Cardinal; Buffer:Pointer):Cardinal; StdCall;
Procedure Block; StdCall;

Implementation

Type
    TGetSSDT = Function (SSDTFunction:TSSDTRoutine):Boolean; StdCall;
    TGetKernelMemory = Function (Base:Cardinal; Var Size:Cardinal; Buffer:Pointer):Cardinal; StdCall;
    TBlock = Procedure; StdCall;

Var _GetSSDT : TGetSSDT;
    _GetKernelMemory : TGetKernelMemory;
    _Block : TBlock;

Procedure Block; StdCall;
begin
_Block;
end;

Function GetSSDT(SSDTFunction:TSSDTRoutine):Boolean; StdCall;
begin
Result:=_GetSSDT(SSDTFunction);
end;

Function GetKernelMemory(Base:Cardinal; Var Size:Cardinal; Buffer:Pointer):Cardinal; StdCall;
begin
Result:=_GetKernelMemory(Base,Size,Buffer);
end;

Var hMod : Cardinal;
Initialization
hMod:=LoadLibrary('ssdt.dll');
If hMod > 0 Then
   begin
   _GetSSDT:=GetProcAddress(hMod,'GetSSDT');
   _GetKernelMemory:=GetProcAddress(hMod,'GetKernelMemory');
   _Block:=GetProcAddress(hMod,'Block');
   end
Else MessageBox(0,'Nelze nalzt soubor ssdt.dll','Soubor nenalezen!',MB_OK Or MB_ICONERROR);

End.
