Unit ProcessInfoForm;

Interface

Uses
  Windows, Messages, SysUtils, Variants,
  Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, ClassProcesy,
  ClassModule, ClassVlakna, Menus,
  ClassMemPages, ClassKernelObjects,
  ClassTokeny, ExtCtrls, StdCtrls,
  PProcImport;

Type
  TProcessInfo = Class (TForm)
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    TabSheet3: TTabSheet;
    TabSheet4: TTabSheet;
    TabSheet5: TTabSheet;
    TabSheet6: TTabSheet;
    TabSheet7: TTabSheet;
    TabSheet8: TTabSheet;
    TabSheet9: TTabSheet;
    ModulyListView: TListView;
    VlaknaListView: TListView;
    MainMenu1: TMainMenu;
    Soubor1: TMenuItem;
    Refresh1: TMenuItem;
    Konec1: TMenuItem;
    Moduly1: TMenuItem;
    Pidat1: TMenuItem;
    Odebrat1: TMenuItem;
    Importyaexporty1: TMenuItem;
    Vlkna1: TMenuItem;
    Uspat1: TMenuItem;
    Probudit1: TMenuItem;
    Ukonit1: TMenuItem;
    KeObjectsListView: TListView;
    MemPagesListView: TListView;
    Objektjdra1: TMenuItem;
    Obsah1: TMenuItem;
    Vceinformac2: TMenuItem;
    Oblastipamti1: TMenuItem;
    Obsahoblasti1: TMenuItem;
    OpenDialog1: TOpenDialog;
    Vceinformac1: TMenuItem;
    TokenyListView: TListView;
    GroupBox1: TGroupBox;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    GroupBox2: TGroupBox;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    GroupBox3: TGroupBox;
    Image1: TImage;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    Label15: TLabel;
    Label16: TLabel;
    Label17: TLabel;
    Label18: TLabel;
    Label19: TLabel;
    Label20: TLabel;
    Label21: TLabel;
    Label22: TLabel;
    Timer1: TTimer;
    GroupBox4: TGroupBox;
    Label23: TLabel;
    Label24: TLabel;
    Label25: TLabel;
    Label26: TLabel;
    Label27: TLabel;
    Label28: TLabel;
    Procedure PageControl1Change(Sender: TObject);
    Procedure FormDestroy(Sender: TObject);
    Procedure Importyaexporty1Click(Sender: TObject);
    Procedure Refresh1Click(Sender: TObject);
    Procedure Konec1Click(Sender: TObject);
    Procedure Obsah1Click(Sender: TObject);
    Procedure Obsahoblasti1Click(Sender: TObject);
    Procedure Pidat1Click(Sender: TObject);
    Procedure Odebrat1Click(Sender: TObject);
    Procedure Uspat1Click(Sender: TObject);
    Procedure Probudit1Click(Sender: TObject);
    Procedure Ukonit1Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  Private
    FPID    : Cardinal;
    FInfo   : PProcess;
    FModuly : TModuly;
    FVlakna : TVlakna;
    FMemPages : TMemPages;
    FKeObjects : TKeObjects;
    FTokeny    : TTokeny;
    Procedure ObecneRefresh;
  Public
    Constructor Create(AOwner:TComponent; AInfo:PProcess); Reintroduce; Virtual;
  end;

Procedure CreateInfoOProcesuForm(AHandle:THandle; AInfo:Pointer); StdCall;

Implementation

Uses ShellAPI, ProceduresImport;

Procedure CreateInfoOProcesuForm(AHandle:THandle; AInfo:Pointer); StdCall;
begin
Application.Handle:=AHandle;
With TProcessInfo.Create(Application,AInfo) Do
     begin
     ObecneRefresh;
     ShowModal;
     Free;
     end;
end;

{$R *.DFM}

Constructor TProcessInfo.Create(AOwner:TComponent; AInfo:PProcess);
Var Zaznam : _SHFILEINFOA;
begin
Inherited Create(AOwner);
FInfo:=AInfo;
FPID:=AInfo.th32ProcessID;
FModuly:=TModuly.Create(ModulyListView,FPID);
With FModuly Do
     begin
     SloupecZmenStav(MODULY_SLOUPEC_NAME,True);
     SloupecZmenStav(MODULY_SLOUPEC_PATH,True);
     SloupecZmenStav(MODULY_SLOUPEC_BASE,True);
     SloupecZmenStav(MODULY_SLOUPEC_SIZE,True);
     SloupecZmenStav(MODULY_SLOUPEC_REFS,True);
     UpravSloupceNaListViewu;
     end;
With ModulyListView Do
     begin
     SmallImages:=TImageList.Create(ModulyListView);
     SmallImages.ShareImages:=True;
     SmallImages.Handle:=SHGetFileInfo(PAnsiChar(Application.ExeName),0,Zaznam,SizeOf(Zaznam),SHGFI_ICON Or SHGFI_SYSICONINDEX Or SHGFI_SMALLICON);
     DestroyIcon(Zaznam.hIcon);
     end;
FVlakna:=TVlakna.Create(VlaknaListView,FPID);
With FVlakna Do
     begin
     SloupecZmenStav(VLAKNA_SLOUPEC_TID,True);
     SloupecZmenStav(VLAKNA_SLOUPEC_PRIORITY,True);
     SloupecZmenStav(VLAKNA_SLOUPEC_SUSPENDED,True);
     UpravSloupceNaListViewu;
     end;
FMemPages:=TMemPages.Create(MemPagesListView,FPID);
With FMemPages Do
     begin
     SloupecZmenStav(MEMPAGES_SLOUPEC_ADDR,True);
     SloupecZmenStav(MEMPAGES_SLOUPEC_SIZE,True);
     SloupecZmenStav(MEMPAGES_SLOUPEC_TYPE,True);
     SloupecZmenStav(MEMPAGES_SLOUPEC_INITIALACCESS,True);
     SloupecZmenStav(MEMPAGES_SLOUPEC_ACCESS,True);
     SloupecZmenStav(MEMPAGES_SLOUPEC_TYPE2,True);
     SloupecZmenStav(MEMPAGES_SLOUPEC_NAME,True);
     UpravSloupceNaListViewu;
     end;
FKeObjects:=TKeObjects.Create(KeObjectsListView,FPID);
With FKeObjects Do
     begin
     SloupecZmenStav(KE_SLOUPEC_HANDLE,True);
     SloupecZmenStav(KE_SLOUPEC_TYPE,True);
     SloupecZmenStav(KE_SLOUPEC_NAME,True);
     UpravSloupceNaListViewu;
     end;
FTokeny:=TTokeny.Create(TokenyListView,False,FPID);
With FTokeny Do
     begin
     SloupecZmenStav(TOKENY_SLOUPEC_NAME,True);
     SloupecZmenStav(TOKENY_SLOUPEC_STATUS,True);
     UpravSloupceNaListViewu;
     end;
end;

Procedure TProcessInfo.PageControl1Change(Sender: TObject);
begin
Timer1.Enabled:=False;
Case PageControl1.ActivePageIndex Of
     0 : ObecneRefresh;
     1 : FModuly.Enumerate;
     2 : FVlakna.Enumerate;
     4 : FKeObjects.Enumerate;
     5 : FMemPages.Enumerate;
     7 : FTokeny.Enumerate;
     end;
end;

Procedure TProcessInfo.FormDestroy(Sender: TObject);
begin
FModuly.Free;
FVlakna.Free;
FMemPages.Free;
FKeObjects.Free;
FTokeny.Free;
end;

Procedure TProcessInfo.Importyaexporty1Click(Sender: TObject);
begin
If Assigned(ModulyListView.Selected) Then
   FModuly.ShowInfo(ModulyListView.Selected.Index);
end;

Procedure TProcessInfo.Refresh1Click(Sender: TObject);
begin
PageControl1Change(Nil);
end;

Procedure TProcessInfo.Konec1Click(Sender: TObject);
begin
Close;
end;

Procedure TProcessInfo.Obsah1Click(Sender: TObject);
begin
If Assigned(KeObjectsListView.Selected) Then
   FKeObjects.ShowContent(KeObjectsListView.Selected.Index);
end;

Procedure TProcessInfo.Obsahoblasti1Click(Sender: TObject);
begin
If Assigned(MemPagesListview.Selected) Then
   FMemPages.ShowContent(MemPagesListView.Selected.Index);
end;
Procedure TProcessInfo.Pidat1Click(Sender: TObject);
begin
If OpenDialog1.Execute Then
   FModuly.Inject(OpenDialog1.Filename);
end;

Procedure TProcessInfo.Odebrat1Click(Sender: TObject);
begin
If Assigned(ModulyListview.Selected) Then
   If Not FModuly.Remove(ModulyListview.Selected.Index) Then
          ErrorMessage('Modul se nepodailo odebrat!');
end;

Procedure TProcessInfo.Uspat1Click(Sender: TObject);
begin
If Assigned(VlaknaListView.Selected) Then
   FVlakna.Suspend(VlaknaListview.Selected.Index);
end;

Procedure TProcessInfo.Probudit1Click(Sender: TObject);
begin
If Assigned(VlaknaListView.Selected) Then
   FVlakna.Resume(VlaknaListview.Selected.Index);
end;

Procedure TProcessInfo.Ukonit1Click(Sender: TObject);
begin
If Assigned(VlaknaListView.Selected) Then
   FVlakna.Terminate(VlaknaListview.Selected.Index);
end;

Procedure TProcessInfo.ObecneRefresh;
Var S : String;
    A : Int64;
    C, E : TDateTime;
    K, U : Int64;
    Icon : TIcon;
    R : Boolean;
begin
// Basic information
Label12.Caption:=ExtractFileName(FInfo.szExeFile);
Label13.Caption:=ExtractFileDir(FInfo.szExeFile);
Label14.Caption:='$'+IntToHex(Int64(FInfo.th32ProcessID),8);
Label15.Caption:=ExtractFileName(DejSouborProcesu(FInfo.th32ParentProcessID))+' ($'+IntToHex(Int64(FInfo.th32ParentProcessID),8)+')';
Label16.Caption:=IntToStr(Int64(FInfo.CntThreads));

// Virtual memory
Label17.Caption:=IntToStr(Int64(FInfo.AllocatedMemory Div 1024))+' K ('+IntToStr(Int64(FInfo.AllocatedMemory Div 1024 Div 1024))+'M)';
Label18.Caption:=IntToStr(Int64(FInfo.ReservedMemory Div 1024))+' K ('+IntToStr(Int64(FInfo.ReservedMemory Div 1024 Div 1024))+'M)';
A:=1024*1024*2;
A:=A-(FInfo.CelkMemory Div 1024);
Label19.Caption:=IntToStr(Int64(A))+' K ('+IntToStr(Int64(A Div 1024))+'M)';

// Times
Try
R:=QueryProcessTimes(FPID,C,E,U,K);
Except
end;
If R Then
   begin
   Label20.Caption:=DateTimeToStr(C);
   Label21.Caption:=IntToStr(K)+'';
   Label22.Caption:=IntToStr(U)+'';
   end
Else begin
     Label20.Caption:='<chyba>';
     Label21.Caption:='<chyba>';
     Label22.Caption:='<chyba>';
     end;

// Handles
Label26.Caption:=IntToStr(Int64(FInfo.HandleCount));
Label27.Caption:=IntToStr(Int64(FInfo.GDIHandles));
Label28.Caption:=IntToStr(Int64(FInfo.UserHandles));
If Not Timer1.Enabled Then
   Timer1.Enabled:=True;
end;

Procedure TProcessInfo.Timer1Timer(Sender: TObject);
begin
ObecneRefresh;
end;

End.
